# Class BeforeTaskRenderArgs

java.lang.Object
org.daypilot.ui.args.common.DayPilotArgs
org.daypilot.ui.args.gantt.BeforeTaskRenderArgs

public class BeforeTaskRenderArgs extends DayPilotArgs

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `BeforeTaskRenderArgs.TaskBox`
  `class`
  `BeforeTaskRenderArgs.TaskRow`
  `class`
  `BeforeTaskRenderArgs.TaskRowColumn`
  `class`
  `BeforeTaskRenderArgs.TaskRowColumnList`

- ## Field Summary

  ### Fields inherited from class org.daypilot.ui.args.common.DayPilotArgs

  `data`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeforeTaskRenderArgs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BeforeTaskRenderArgs`
  `fromTask(Task task, DayPilotGantt gantt)`
  `BeforeTaskRenderArgs.TaskBox`
  `getBox()`
  `TaskCollection`
  `getChildren()`
  `DataItemWrapper`
  `getDataItem()`
  `DateTime`
  `getEnd()`
  `String`
  `getId()`
  `BeforeTaskRenderArgs.TaskRow`
  `getRow()`
  `DateTime`
  `getStart()`
  `TaskTagMap`
  `getTags()`
  `String`
  `getText()`
  `TaskType`
  `getType()`
  `boolean`
  `hasChildren()`
  `JSONObject`
  `toJSON()`

  ### Methods inherited from class org.daypilot.ui.args.common.DayPilotArgs

  `getData, setData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeforeTaskRenderArgs

    public BeforeTaskRenderArgs()

- ## Method Details

  - ### fromTask

    public static BeforeTaskRenderArgs fromTask(Task task, DayPilotGantt gantt)

  - ### hasChildren

    public boolean hasChildren()

  - ### toJSON

    public JSONObject toJSON()

  - ### getChildren

    public TaskCollection getChildren()

  - ### getId

    public String getId()

  - ### getStart

    public DateTime getStart()

  - ### getEnd

    public DateTime getEnd()

  - ### getText

    public String getText()

  - ### getType

    public TaskType getType()

  - ### getDataItem

    public DataItemWrapper getDataItem()

  - ### getBox

    public BeforeTaskRenderArgs.TaskBox getBox()

  - ### getRow

    public BeforeTaskRenderArgs.TaskRow getRow()

  - ### getTags

    public TaskTagMap getTags()